package cc.smtweb.system.bpm.web.engine.model.listcard.lclc1;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import cc.smtweb.system.bpm.web.engine.dynPage.DynRetBean;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.AbsLoadHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.ModelHelper;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.ModelLoadHandler;

/**
 * @Author:lip
 * @Date : 2022/9/2 11:44
 */
public class LCLC1LoadHandler extends ModelLoadHandler<DefaultEntity> {
    /**
     * 左表新增
     *
     * @return
     */
    public R lAdd() {
        cardDsName = LCLC1Define.dsLCard;
        return super.add();
    }

    /**
     * 右表新增
     *
     * @return
     */
    public R rAdd() {
        cardDsName = LCLC1Define.dsRCard;
        return super.add();
    }

    /**
     * 左表编辑
     *
     * @return
     */
    public R lLoad() {
        cardDsName = LCLC1Define.dsLCard;
        return super.load();
    }

    /**
     * 右表编辑
     *
     * @return
     */
    public R rLoad() {
        cardDsName = LCLC1Define.dsRCard;
        return super.load();
    }

    /**
     * 左列表加载
     *
     * @return
     */
    public R lList() {
        return super.list(LCLC1Define.dsLCard);
    }

    /**
     * 右列表加载
     *
     * @return
     */
    public R rList() {
        return super.list(LCLC1Define.dsRCard);
    }

    /**
     * 左列表分页数据
     *
     * @return
     */
    public R getLTotal() {
        return super.getTotal(LCLC1Define.dsLList);
    }

    /**
     * 右列表分页数据
     *
     * @return
     */
    public R getRTotal() {
        return super.getTotal(LCLC1Define.dsRList);
    }
}
